org.eclipse.ecf.core

## Interface IContainerManagerListener

    public interface IContainerManagerListener

Container manager listener. Instances of this interface may be registered via calls to `IContainerManager.addListener(IContainerManagerListener)`. When subsequent additions to the `IContainerManager` occur, the `containerAdded(IContainer)` method will be called. When container removals occur, `containerRemoved(IContainer)`. Note that these methods will be called by arbitrary threads.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `containerAdded(IContainer container)` Container added to the implementing IContainerManager.
`void` `containerRemoved(IContainer container)` Container removed from the implementing IContainerManager.

### Method Detail

#### containerAdded

    void containerAdded(IContainer container)

Container added to the implementing IContainerManager.

Parameters:
  `container` - the `IContainer` added. Will not be `null`.

#### containerRemoved

    void containerRemoved(IContainer container)

Container removed from the implementing IContainerManager.

Parameters:
  `container` - the `IContainer` removed. Will not be `null`.